import React, { Component } from 'react';
import {
  StyleSheet,
  Text,
  View,
  Image,
  FlatList,
  BackHandler,
  TouchableOpacity,
  SafeAreaView,
  Linking,
  ScrollView
} from 'react-native';

let DATA = [
  {
    id: '1',
    picture: "https://homepages.cae.wisc.edu/~ece533/images/watch.png",
    name: "Lunuar"

  },
  {
    id: '2',
    picture: "https://homepages.cae.wisc.edu/~ece533/images/watch.png",
    name: "Allessa"

  },
  {
    id: '3',
    picture: "https://homepages.cae.wisc.edu/~ece533/images/watch.png",
    name: "Countryside"

  },
  {
    id: '4',
    picture: "https://homepages.cae.wisc.edu/~ece533/images/watch.png",
    name: "DancingScript"
  },
  {
    id: '5',
    picture: "https://homepages.cae.wisc.edu/~ece533/images/watch.png",
    name: "Tomatoes"
  },
  {
    id: '6',
    picture: "https://homepages.cae.wisc.edu/~ece533/images/watch.png",
    name: "VeganStyle"
  },
];

export class App extends Component {
  constructor(props) {
    super(props);
    this.state = {
      TextData: 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum',
      FontState:''
    };
  }

  navig = (item) => {
    this.setState({FontState: item.name})
  }


  render() {
    return (
      <View style={styles.container}>
        <View style={styles.headerView}>
          <Text style={[styles.headerText,{fontFamily: this.state.FontState}]}>Change Font</Text>
        </View>

        <View style={{}}>
          <ScrollView>
            <SafeAreaView style={{ marginHorizontal: 15, paddingTop: 12 }}>
              <FlatList
                data={DATA}
                keyExtractor={(item, index) => index.toString()}
                extraData={this.state}
                numColumns={3}
                showsVerticalScrollIndicator={false}
                columnWrapperStyle={{ justifyContent: "space-between" }}
                renderItem={({ item, index }) => (
                  <View style={{ alignItems: "center", }}>
                    <View style={[styles.listView, {}]}>
                      <TouchableOpacity style={{ width: "100%", alignItems: "center", backgroundColor: "#656565", borderRadius: 12 }}
                        onPress={() => this.navig(item)}>
                        <Text style={[styles.textStyle,{fontFamily: item.name}]}>{item.name}</Text>
                      </TouchableOpacity>
                    </View>
                  </View>
                )} />
            </SafeAreaView>
          </ScrollView>
          <Text style={{
            color: "#fff", marginHorizontal: 15, paddingTop: 20,
            textAlign: "justify", fontFamily: this.state.FontState, fontSize:18
          }}>{this.state.TextData}</Text>
        </View>
      </View>
    );
  }
}

export default App;
const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: "#545454"
  },
  listView: {
    marginTop: 10, alignItems: "center",
    width: 100, borderRadius: 0, borderRadius: 15, paddingVertical: 5,
  },
  textStyle: {
    color: "#fff", fontSize: 15, marginVertical: 12,
    //  fontFamily: 'Allessa'
    // fontFamily: 'BeautifulPeople'
    // fontFamily: 'Countryside'
    // fontFamily: 'DancingScript'
    // fontFamily: 'Tomatoes'
    // fontFamily: 'VeganStyle'
  },
  headerView: {
    alignItems: "center", height: 60, justifyContent: "center"
  },
  headerText: {
    color: "#fff", fontSize: 20, marginTop: 7,
    // fontFamily: 'Allessa'
    // fontFamily: 'BeautifulPeople'
    // fontFamily: 'Countryside'
    // fontFamily: 'DancingScript'
    // fontFamily: 'Tomatoes'
    // fontFamily: 'VeganStyle'
  },
});
